Bug 99619 - Base crash when undo redo
Summary: Base crash when undo redo
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2016-05-02 01:20 UTC by tadanet3
Modified: 2019-06-15 02:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["dbaui::OTableConnection::InvalidateConnection()"]


Attachments
procedure (630.96 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-05-02 01:20 UTC, tadanet3
Details
bt with symbols (4.98 KB, text/plain)
2016-05-02 21:47 UTC, Julien Nabet
Details
bt with debug symbols (5.83 KB, text/plain)
2018-01-26 11:52 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tadanet3 2016-05-02 01:20:27 UTC
Created attachment 124775 [details]
procedure

Hellow,

I use LibreOffice_5.1.2_Win_x86.msi, Win7 SP1

on Base 
1.Create database
2.Create table
3.Insert join
4.Undo
5.Redo
6.Crash

For more detaile procedurr, please see the attached file
Comment 1 raal 2016-05-02 06:56:53 UTC
I can confirm with Version: 5.2.0.0.alpha0+ and 4.0; win7
Comment 2 Julien Nabet 2016-05-02 21:47:14 UTC
Created attachment 124801 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today, I had a crash when I tried to a create the join at the beginning.
Comment 3 Julien Nabet 2016-05-02 22:12:58 UTC
I tried to understand the problem of bt I had and noticed this new bt:
#0  com::sun::star::uno::BaseReference::iquery (pInterface=0x2bacd08, rType=invalid uno::Type) at /home/julien/lo/libreoffice/include/com/sun/star/uno/Reference.hxx:54
#1  0x00002aaad9c3cd18 in com::sun::star::uno::Reference<com::sun::star::lang::XUnoTunnel>::iquery (pInterface=0x2bacd08)
    at /home/julien/lo/libreoffice/include/com/sun/star/uno/Reference.hxx:69
#2  0x00002aaad9c39fa5 in com::sun::star::uno::Reference<com::sun::star::lang::XUnoTunnel>::Reference (this=0x7fffffff3a90, rRef=...)
    at /home/julien/lo/libreoffice/include/com/sun/star/uno/Reference.hxx:170
#3  0x00002aaad9e127c6 in dbaui::OJoinExchObj::GetSourceDescription (_rxObject=uno::Reference to (GtkDnDTransferable *) 0x2bacd08)
    at /home/julien/lo/libreoffice/dbaccess/source/ui/querydesign/JoinExchange.cxx:76
#4  0x00002aaad9ea2330 in dbaui::OTableWindowListBox::ExecuteDrop (this=0x3f66cc0, _rEvt=...)
    at /home/julien/lo/libreoffice/dbaccess/source/ui/querydesign/TableWindowListBox.cxx:308

Stephan: any thoughts?
(openjdk version "1.8.0_91"
OpenJDK Runtime Environment (build 1.8.0_91-8u91-b14-2-b14)
OpenJDK 64-Bit Server VM (build 25.91-b14, mixed mode)
)
Comment 4 Stephan Bergmann 2016-05-03 07:36:35 UTC
(In reply to Julien Nabet from comment #3)
> Stephan: any thoughts?

Smells like _rEvt.maDropEvent.Transferable in frame #4 is already corrupted.
Comment 5 Xisco Faulí 2017-02-27 17:10:55 UTC
Also reproduced in

Version: 5.3.0.3
Build ID: 1:5.3.0~rc3-0ubuntu1~yakkety1.1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: es-ES (ca_ES.UTF-8); Calc: group
Comment 6 Julien Nabet 2018-01-26 11:52:53 UTC
Created attachment 139372 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated some days ago, I could reproduce this.
Since the bt is different, I attach a new one.
Comment 7 QA Administrators 2019-06-15 02:58:49 UTC
Dear tadanet3,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug